%define pypi_name nbconvert

Name:           jupyter-nbconvert
Version:        4.2.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Jupyter Notebook Conversion (tools)

License:        BSD
URL:            http://jupyter.org/
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-use-setuptools-for-everything-so-the-python-Depends-.patch
Patch1:         0002-relax-mistune-requires.patch
BuildArch:      noarch
 
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       python3-%{name} = %{version}-%{release}



%description
The nbconvert tool, jupyter nbconvert, converts notebooks 
to various other formats via Jinja templates. 
The nbconvert tool allows you to convert an .ipynb notebook file 
into various static formats.

This package contains the jupyter-nbconvert tool.


%package -n     python2-%{name}
Summary:        Jupyter Notebook Conversion (Python 2)

%description -n python2-%{name}
The nbconvert tool, jupyter nbconvert, converts notebooks 
to various other formats via Jinja templates. 
The nbconvert tool allows you to convert an .ipynb notebook file 
into various static formats.

This package installs the library for Python 2.

%package -n     python3-%{name}
Summary:        Jupyter Notebook Conversion (Python 3)

%description -n python3-%{name}
The nbconvert tool, jupyter nbconvert, converts notebooks 
to various other formats via Jinja templates. 
The nbconvert tool allows you to convert an .ipynb notebook file 
into various static formats.

This package installs the library for Python 3.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{_bindir}/jupyter-nbconvert


%files -n python2-%{name}
%license COPYING.md
%{python2_sitelib}/


%files -n python3-%{name}
%license COPYING.md
%{python3_sitelib}/




%changelog
* Mon Apr 25 2016 philippem <philippem> 4.2.0-2.mga6
+ Revision: 1006210
- relax mistune requires (work around for autorequires)

* Mon Apr 18 2016 philippem <philippem> 4.2.0-1.mga6
+ Revision: 1003452
- imported package jupyter-nbconvert

